org.jbpm.casemgmt.impl.command

## Class TriggerAdHocNodeInStageCommand

- java.lang.Object
- - org.jbpm.casemgmt.impl.command.CaseCommand<Void>
  - - org.jbpm.casemgmt.impl.command.TriggerAdHocNodeInStageCommand

- All Implemented Interfaces:
    Serializable, org.kie.api.command.Command<Void>, org.kie.api.command.ExecutableCommand<Void>

      public class TriggerAdHocNodeInStageCommand
      extends CaseCommand<Void>

  Triggers a ad hoc activity within given stage (adhoc subprocess)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TriggerAdHocNodeInStageCommand(org.kie.internal.identity.IdentityProvider identityProvider, CaseDefinition caseDef, Long processInstanceId, String stage, String fragmentName, Object data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `execute(org.kie.api.runtime.Context context)`

    - ### Methods inherited from class org.jbpm.casemgmt.impl.command.CaseCommand

      `getCaseEventSupport, getCaseFile, getIdentityProvider, getRuntimeManager, triggerRules`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TriggerAdHocNodeInStageCommand

          public TriggerAdHocNodeInStageCommand(org.kie.internal.identity.IdentityProvider identityProvider,
                                                CaseDefinition caseDef,
                                                Long processInstanceId,
                                                String stage,
                                                String fragmentName,
                                                Object data)

  - ### Method Detail

    - #### execute

          public Void execute(org.kie.api.runtime.Context context)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.